1
0
mirror of git://projects.qi-hardware.com/openwrt-packages.git synced 2025-04-21 12:27:27 +03:00

fbida: a few applications for viewing and editing images; ghostscript as

a requirement for fbgs, a wrapper script for viewing ps/pdf files on the
framebuffer console using fbi, an image viewer for the linux framebuffer
console.
This commit is contained in:
kyak
2010-10-18 20:39:48 +04:00
parent 1a6e2dc80b
commit 277888f878
5 changed files with 159 additions and 0 deletions
+57
View File
@@ -0,0 +1,57 @@
#
# This is free software, licensed under the GNU General Public License v2.
# See /LICENSE for more information.
#
include $(TOPDIR)/rules.mk
PKG_NAME:=fbida
PKG_VERSION:=2.07
PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
PKG_SOURCE_URL:=http://dl.bytesex.org/releases/fbida/
PKG_MD5SUM:=3e05910fb7c1d9b2bd3e272d96db069c
PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)-$(PKG_VERSION)
include $(INCLUDE_DIR)/package.mk
define Package/fbida
SUBMENU:=fbida
SECTION:=utils
CATEGORY:=Utilities
URL:=http://linux.bytesex.org/fbida/
DEPENDS:=+libpng +libtiff +libexif +libiconv +dejavu-fonts-ttf
endef
define Package/fbida/description
The fbida project contains a few applications for viewing and editing images
endef
define Package/fbi
$(call Package/fbida)
TITLE:=This is a image viewer for the linux framebuffer console.
endef
define Package/fbgs
$(call Package/fbida)
TITLE:=A wrapper script for viewing ps/pdf files on the framebuffer console using fbi.
DEPENDS:=+fbi +ghostscript
endef
TARGET_CFLAGS+=-I$(STAGING_DIR)/usr/lib/libiconv/include
TARGET_LDFLAGS+=-L$(STAGING_DIR)/usr/lib/libiconv/lib -liconv -Wl,-rpath-link=$(STAGING_DIR)/usr/lib
define Package/fbi/install
$(INSTALL_DIR) $(1)/usr/bin
$(INSTALL_BIN) $(PKG_BUILD_DIR)/{fbi,exiftran} $(1)/usr/bin/
endef
define Package/fbgs/install
$(INSTALL_DIR) $(1)/usr/bin
$(INSTALL_BIN) $(PKG_BUILD_DIR)/fbgs $(1)/usr/bin/
endef
$(eval $(call BuildPackage,fbi))
$(eval $(call BuildPackage,fbgs))
+10
View File
@@ -0,0 +1,10 @@
--- fbida-2.07.orig/fbtools.c 2008-10-11 12:49:38.676243745 +0200
+++ fbida-2.07/fbtools.c 2008-10-11 12:50:08.286262765 +0200
@@ -519,6 +519,6 @@
/* cleanup */
fb_cleanup();
- fprintf(stderr,"Oops: %s\n",sys_siglist[termsig]);
+ fprintf(stderr,"Oops: %s\n",strsignal(termsig));
exit(42);
}
+11
View File
@@ -0,0 +1,11 @@
--- fbida-2.07.orig/fbi.c 2010-10-17 19:08:40.726246881 +0400
+++ fbida-2.07/fbi.c 2010-10-17 19:08:35.322244313 +0400
@@ -1465,7 +1465,7 @@
font_init();
if (NULL == fontname)
- fontname = "monospace:size=16";
+ fontname = "monospace:size=10";
face = font_open(fontname);
if (NULL == face) {
fprintf(stderr,"can't open font: %s\n",fontname);
+12
View File
@@ -0,0 +1,12 @@
--- fbida-2.07.orig/fbgs 2010-10-18 20:26:32.264246468 +0400
+++ fbida-2.07/fbgs 2010-10-18 20:26:57.179244034 +0400
@@ -1,7 +1,7 @@
-#!/bin/bash
+#!/bin/sh
# tmp dir
-DIR="$(mktemp -dtp ${TMPDIR-/var/tmp} fbgs-XXXXXX)"
+DIR="$(mktemp -dtp ${TMPDIR-/tmp} fbgs-XXXXXX)"
test -d "$DIR" || exit 1
trap "rm -rf $DIR" EXIT